package com.jz.agent.client.service;

import com.google.gson.Gson;
import com.jz.agent.client.DmpDsAgentClient;
import com.jz.dmp.agent.DmpAgentResult;
import com.jz.dmp.agent.ResultCode;
import com.jz.dmp.modules.model.DmpAgentDatasourceInfo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DmpElasticsearchAgentClientService implements DmpDsAgentClient {

    private Gson gson = new Gson();
    @SuppressWarnings("unused")
    private static Logger logger = LoggerFactory.getLogger(DmpElasticsearchAgentClientService.class);

    @SuppressWarnings("unused")
    public DmpAgentResult testConnect(DmpAgentDatasourceInfo ds) {
        return new DmpAgentResult(ResultCode.SUCCESS, gson.toJson(false));
    }

    @SuppressWarnings({"unchecked", "rawtypes"})
    public DmpAgentResult getTableNameList(DmpAgentDatasourceInfo ds) {
        List<String> list = new ArrayList<String>();
        return new DmpAgentResult(ResultCode.SUCCESS, gson.toJson(list));
    }

    @SuppressWarnings({"rawtypes", "unchecked", "unused"})
    public DmpAgentResult getTableColumnList(DmpAgentDatasourceInfo ds, String tableName) {
        List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();
        return new DmpAgentResult(ResultCode.SUCCESS, gson.toJson(list));
    }

    public DmpAgentResult previewData(DmpAgentDatasourceInfo ds, String tableName) {
        Map<String, Object> map = new HashMap<String, Object>();
        return new DmpAgentResult(ResultCode.SUCCESS, gson.toJson(map));
    }

}
